PUBLIC oSunLine
LOCAL sunline_path, customer_id 

* full path to SunLINE SDK directory
sunline_path = 'C:\Program Files\SunSoft\SunLINE SDK Lite\'

* initialize SunLINE client object
oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE.app')
* initialize SunLINE client object in VFP 8 
* oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE8.app')

* set SunLINE client language
oSunLine.oLang.LngFile = sunline_path + 'Lang\english.lng'

SET SAFETY OFF 

* set remote host address and start client (on this address must be active SunLINE Listener)
oSunLine.RemoteHost.IP = '127.0.0.1'
oSunLine.RemoteHost.Port = 9100
oSunLine.TimeOut = 10000
oSunLine.StartClient()
oSunLine.Connect()

* Connect to SunLINE Listener
IF NOT oSunLine.Connect()
	MESSAGEBOX('Connect failed!', 16, 'SunLINE Lite')
	oSunLine.StopClient()
	oSunLine.End()
	CLOSE DATABASES
	RETURN .F.
ENDIF

* Test connection
IF oSunLine.IsConnected()
	WAIT WINDOW 'Connected...' NOWAIT 
ELSE
	MESSAGEBOX('Not connected!', 16, 'SunLINE Lite')
	oSunLine.StopClient()
	oSunLine.End()
	CLOSE DATABASES
	RETURN .F. 
ENDIF

* Execute SQLscript.prg by the remote VFP server
WAIT WINDOW 'Execute SQLscript.prg by the remote VFP server' NOWAIT 
customer_id = 'FRANK'
cRecCnt = oSunLine.ExecRemoteScriptFile(sunline_path + 'Samples\SQLscript.prg', sunline_path + 'Samples\RemoteData\orders.dbf', customer_id )

* If error, display remote error message 
IF UPPER(cRecCnt) = 'ERROR'
	MESSAGEBOX('Error: ' + oSunLine.RemoteScriptError.Message, 16, 'SunLINE Lite')
	oSunLine.StopClient()
	oSunLine.End()
	CLOSE DATABASES
	RETURN .F. 
ENDIF 

WAIT 'Processed '+ cRecCnt + ' records' WINDOW NOWAIT

* Transfer result file from the remote side to the local side
IF oSunLine.GetFile(sunline_path + 'Samples\RemoteData\SQLResult.dbf', sunline_path + 'Samples\LocalData\LocalResult.dbf')
	USE (sunline_path + 'Samples\LocalData\LocalResult.dbf')
	BROWSE NORMAL
ELSE
	MESSAGEBOX('File transfer error!', 16, 'SunLINE Lite')
ENDIF

* Terminate and release SunLINE session
CLOSE DATABASES 
oSunLine.StopClient()
oSunLine.End()
RELEASE oSunLINE
CLEAR ALL
