LOCAL sunline_path, excel_script

* full path to SunLINE SDK directory
sunline_path = 'C:\Program Files\SunSoft\SunLINE SDK Lite\'

* initialize SunLINE client object
oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE.app')
* initialize SunLINE client object in VFP 8 
* oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE8.app')

* set SunLINE client language
oSunLine.oLang.LngFile = sunline_path + 'Lang\english.lng'

* set remote host address and start client (on this address must be active SunLINE Listener)
oSunLine.RemoteHost.IP = '127.0.0.1'
oSunLine.RemoteHost.Port = 9100
oSunLine.StartClient()
oSunLine.Connect()

* remote COM object automation
excel_script = MakeRemoteScript()
result = oSunLine.ExecRemoteScript(excel_script)
MESSAGEBOX('Remote Excel version: ' + result, 64, 'SunLINE Lite')

* Terminate and release SunnLINE client
oSunLine.Disconnect()
oSunLine.StopClient()
RELEASE oSunLINE
CLEAR ALL

* create remote script - few lines of VFP code
Function MakeRemoteScript

	LOCAL script

	TEXT TO script TEXTMERGE noshow
		oXL = CREATEOBJECT("Excel.Application")
		xlVer = oXL.Version
		oXL.Quit
		RETURN xlVer
	ENDTEXT 

	RETURN script

ENDPROC 