LOCAL sunline_path

* full path to SunLINE SDK directory
sunline_path = 'C:\Program Files\SunSoft\SunLINE SDK Lite\'

* initialize SunLINE client object
oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE.app')
* initialize SunLINE client object in VFP 8 
* oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE8.app')

* set SunLINE client language
oSunLine.oLang.LngFile = sunline_path + 'Lang\english.lng'

* set remote host address and start client (on this address must be active SunLINE Listener)
oSunLine.RemoteHost.IP = '127.0.0.1'
oSunLine.RemoteHost.Port = 9100
oSunLine.StartClient()
oSunLine.Connect()

* get remote system date and time
result = oSunLine.ExecRemoteScript('return DATETIME()')
MESSAGEBOX('Remote system date and time: ' + result, 64, 'SunLINE Lite')

* initialize remote variable, set the value and return result to local system 
oSunLine.ExecRemoteScript('public var1')
oSunLine.ExecRemoteScript('var1 = "Test"')
result = oSunLine.ExecRemoteScript('return var1')
MESSAGEBOX('Remote variable var1: ' + result, 64, 'SunLINE Lite')

* remote COM object automation
oSunLine.ExecRemoteScript('public oXL')
oSunLine.ExecRemoteScript('oXL = CREATEOBJECT("Excel.Application")')
result = oSunLine.ExecRemoteScript('return oXL.Version')
oSunLine.ExecRemoteScript('oXL.Quit')
MESSAGEBOX('Remote Excel version: ' + result, 64, 'SunLINE Lite')

* Terminate and release SunnLINE client
oSunLine.Disconnect()
oSunLine.StopClient()
RELEASE oSunLINE
CLEAR ALL
