PUBLIC oSunLine
LOCAL sunline_path, lReturn

* full path to SunLINE SDK directory
sunline_path = 'C:\Program Files\SunSoft\SunLINE SDK Lite\'

SET SAFETY OFF

* create text file
STRTOFILE('SunLITE Lite - PutFile: '+TRANSFORM(DATETIME()), sunline_path + 'Samples\LocalData\file.txt')

* initialize SunLINE client object
oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE.app')
* initialize SunLINE client object in VFP 8 
* oSunLine = NEWOBJECT('sunline', 'sunline.vcx', sunline_path + 'Libs\SunLINE8.app')

* set SunLINE client language
oSunLine.oLang.LngFile = sunline_path + 'Lang\english.lng'

* set remote host address and start client (on this address must be active SunLINE Listener)
oSunLine.RemoteHost.IP = 'localhost'
oSunLine.RemoteHost.Port = 9100
oSunLine.StartClient()
oSunLine.TimeOut = 5000

* Connect to SunLINE Listener
IF !oSunLine.Connect()
	MESSAGEBOX('Connect failed!', 16, 'SunLINE Lite')
	oSunLine.StopClient()
	oSunLine.End()
	RETURN
ENDIF	

* Send file from the local side and save it on the remote side
lReturn = oSunLine.PutFile(sunline_path + 'Samples\LocalData\file.txt', sunline_path + 'Samples\RemoteData\file.txt')

* Terminate and release SunLINE session
oSunLine.StopClient()
oSunLine.End()

IF lReturn
	MESSAGEBOX('File send: OK.', 64, 'SunLINE Lite')
ELSE
	MESSAGEBOX('File send: Error!', 16, 'SunLINE Lite')
ENDIF

CLEAR ALL
